{
  inputs,
  ...
}:

{
  imports = [
    "${inputs.nix-bitcoin}/modules/modules.nix"
  ];

  config = {

    services.bitcoind = {
      enable = true;
      listen = true;
      txindex = true;
      disablewallet = true;
      extraConfig = ''
        coinstatsindex=1
        maxmempool=2048
        persistmempool=1
      '';
      tor.proxy = true;
      rpc.address = "0.0.0.0";
      rpc.allowip = [
        "10.0.0.0/8"
        "172.16.0.0/12"
        "192.168.0.0/16"
      ];
    };

    services.electrs = {
      enable = true;
    };

    services.monero = {
      enable = true;
      extraConfig = ''
        proxy=127.0.0.1:9050
        igd=disabled
      '';
    };

    services.tor.client.enable = true;

    nix-bitcoin = {
      onionServices = {
        bitcoind = {
          public = true;
        };
      };
      generateSecrets = true;
      secretsDir = "/var/nix-bitcoin";
      configVersion = "0.0.121";
    };
  };
}
